Name: x11-driver-video-nv
Version: 2.1.3
Release: %mkrel 1
Summary: The X.org driver for NVidia Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-nv-%{version}.tar.bz2
Patch0: x11-driver-video-nv-riva-videomem-autodetection-debugging.patch
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.2
BuildRequires: x11-util-macros >= 1.0.1

Conflicts: xorg-x11-server < 7.0

%description
The X.org driver for NVidia Cards


%prep
%setup -q -n xf86-video-nv-%{version}
%patch0 -p1 -b .redhat-nv-riva-videomem-autodetection-debugging

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/nv_drv.la
%{_libdir}/xorg/modules/drivers/nv_drv.so
%{_mandir}/man4/nv*



%changelog
* Thu Aug 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.1.3-1mdv2008.0
+ Revision: 64284
- do not hardcode man pages extension
- new release

* Tue Jul 10 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.1.2-1mdv2008.0
+ Revision: 51061
- new upstream version: 2.1.2

* Mon Jul 02 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.1.1-1mdv2008.0
+ Revision: 47271
- new upstream version: 2.1.1
- no need for autoreconf on %%build, so remove it.

* Tue Jun 19 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.1.0-1mdv2008.0
+ Revision: 41440
- New upstream release: 2.1.0

* Thu May 17 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.0.96-1mdv2008.0
+ Revision: 27658
- new version: 2.0.96

* Thu May 03 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.0.95-1mdv2008.0
+ Revision: 22101
- new version: 2.0.95
  Notice this new version requires x11-server >= 1.2 due
  to the RandR 1.1 compatibility layer

* Fri Apr 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.0.2-1mdv2008.0
+ Revision: 16016
- new release (riva128 is dead; use nv_drv.so instead)


* Mon Feb 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.2.1-1mdv2007.0
+ Revision: 116435
- new upstream version: 1.2.2.1

* Tue Jul 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.0-1mdv2007.0
+ Revision: 38294
- new upstream release (1.2.0):
  * Removed dependency on xorg-server >= 1.0.99.901.
  * PCI IDs for GeForce 6 and 7 variants and the Quadro FX 4500 X2.
  * New chip support.
- new upstream release (1.1.2):
  *  Add names for Quadro FX 5500, 3500, 1500, 560, 550, and 350.
- added a patch for videomem autodetection debugging
- removed old tarball
- rebuild to fix cooker uploading
- Updated drivers for X11R7.1
- increment release
- Adding X.org 7.0 to the repository

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix group

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

